local Tablet = AceLibrary("Tablet-2.0")

PointsFu = Rock:NewAddon("PointsFu", "LibFuBarPlugin-3.0", "LibRockEvent-1.0", "LibRockTimer-1.0", "LibRockConfig-1.0", "LibRockDB-1.0")

PointsFu.version = "1.00"
PointsFu:SetFuBarOption("hasNoText", true)
PointsFu:SetFuBarOption("hasIcon", true)
PointsFu:SetFuBarOption('iconPath', [[Interface\AddOns\FuBar_PointsFu\icon]])
PointsFu:SetFuBarOption('defaultPosition', "RIGHT")
PointsFu:SetFuBarOption('tooltipType', "Tablet-2.0")
PointsFu:SetFuBarOption('clickableTooltip', false)

PointsFu:SetDatabase("PointsFuDB")
PointsFu:SetDatabaseDefaults("profile", {


})

function PointsFu:OnInitialize()
	local options = {
		name = "FuBar_PointsFu",
		desc = self.notes,
		type = 'group',
		args = {

        }
	}

	PointsFu:SetConfigTable(options)
end

function PointsFu:OnUpdateFuBarText()
	self:SetFuBarText("Points")
end

function PointsFu:OnEnable()
	self:AddEventListener("KNOWN_CURRENCY_TYPES_UPDATE", "OnUpdateFuBarText")
end

function PointsFu:OnUpdateFuBarTooltip()
	for i=1, GetCurrencyListSize() do 
		local name, _, _, _, _, count = GetCurrencyListInfo(i)
		string.find(name, "Justice Points")
		string.find(name, "Honor Points")
        
		if name == "Justice Points" then
			JusticePointsCount = count
		elseif name == "Honor Points" then
			HonorPointsCount = count
		end
	end

	local cat = Tablet:AddCategory(
		'columns', 4,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'child_text2R', 1,
		'child_text2G', 1,
		'child_text2B', 0
	)
	
	cat:AddLine(
		'text', " ",
		'text2', "Honor",
		'text3', "Justice")	
	cat:AddLine(
		'text', " ",
		'text2', HonorPointsCount,
		'text3', JusticePointsCount)

--	Tablet:SetHint("Hint removed for now.")
	
end

function PointsFu:OnFuBarClick()
	ToggleCharacter("TokenFrame")
end